Bug 521941 - insensitivity to clicks at left edge of screen
Summary: insensitivity to clicks at left edge of screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz-fusion
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 19:31 UTC by D
Modified: 2018-04-11 09:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:32:32 UTC


Attachments (Terms of Use)

Description D 2009-09-08 19:31:09 UTC
Description of problem:

When Desktop Effects is enabled, the pixels along the left edge of the screen (zeroth column; between top left corner and bottom left corner) become insensitive to clicks.  For users with wide-screen displays, it is common to have the main panel repositioned onto this edge.  However, due to this insensitivity, it becomes more difficult to operate the menu and other panel objects.  It is reminiscent of the old 'Start' button usability issue that Windows had, pre-XP.


Version-Release number of selected component (if applicable):

0.7.8_6.fc11

How reproducible:

always

Steps to Reproduce:
1. change panel properties from 'top' to 'left'
2. verify that selections possibly by clicking pointer at left edge of screen
3. enable desktop effects (seems independent of 'workspace-on-a-cube' toggle
3. note that pointer must be to the right of column 0 in order to register
  
Actual results:

Pointer can be quickly moved all the way to the left edge, where a desired panel object resides, prior to clicking; however, the pointer must then be slowly and more precisely moved away from that edge before the panel object can accept a mouse click.

Expected results:

If panel exists on edge of screen, I believe that panel should operate in same manner whether desktop effects are enabled or not.  At least that should be default behavior; compiz should not reduce functionality of existing objects.

Additional info:

Running on Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
(Switchable graphics controller disabled in bios)

Comment 1 Matěj Cepl 2009-11-05 18:37:43 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 D Winick 2009-11-09 13:17:59 UTC
I have confirmed that this same issue still exists in desktop-x86_64-20091107.20.iso Fedora Live CD.

Comment 3 Bug Zapper 2010-04-28 10:14:25 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:32:32 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.